|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QExtensionFactory Class Reference

    #include <QExtensionFactory>

Part of the QtDesigner module.

Inherits QObject and QAbstractExtensionFactory.

- List of all members, including inherited members

### Public Functions

- QExtensionFactory ( QExtensionManager * parent = 0 )
- virtual QObject * extension ( QObject * object, const QString & iid ) const
- QExtensionManager * extensionManager () const

- 28 public functions inherited from QObject
- 1 public function inherited from QAbstractExtensionFactory

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### QExtensionFactory::QExtensionFactory ( QExtensionManager * parent = 0 )

Constructs an extension factory with the given parent.

### QObject * QExtensionFactory::extension ( QObject * object, const QString & iid ) const `[virtual]`

Returns the extension of the given object with the internal ID specified by iid.

Reimplemented from QAbstractExtensionFactory.

### QExtensionManager * QExtensionFactory::extensionManager () const

Returns the extension manager for the extension factory.